> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all custom domains for a business



## OpenAPI

````yaml /openapi.json get /businesses/{id}/custom_domains
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/custom_domains:
    get:
      tags:
        - Custom domains
      summary: List all custom domains for a business
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
        - in: query
          name: domain
          schema:
            type: string
          description: Filter by domain name
          required: false
      responses:
        '200':
          description: >-
            A dictionary with a `custom_domains` property which is an array of
            `CustomDomain` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  custom_domains:
                    type: array
                    items:
                      $ref: '#/components/schemas/CustomDomain'
                    description: An array of custom domains
                required:
                  - custom_domains
components:
  schemas:
    CustomDomain:
      type: object
      properties:
        id:
          type: string
          description: The ID of the custom domain
        business:
          type: string
          description: The ID of the business
        domain:
          type: string
          description: The domain name
        dns_records:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                nullable: true
                description: The DNS record host
              type:
                type: string
                nullable: true
                description: The DNS record type
              value:
                type: string
                nullable: true
                description: The DNS record value
            required:
              - name
              - type
              - value
          nullable: true
          description: The DNS records for the domain
        created_at:
          type: string
          description: The date and time the custom domain was created
        validated:
          type: boolean
          description: Whether the domain is valid
        setup_completed_at:
          type: string
          nullable: true
          description: The date and time setup was completed
        setup_type:
          type: string
          nullable: true
          description: The type of setup (automatic or manual)
      required:
        - id
        - business
        - domain
        - dns_records
        - created_at
        - validated
        - setup_completed_at
        - setup_type
      title: The Custom Domain object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````